evaluator validation
Create evaluator validation observations
Requires scopes: eval:write
POST
/
api
/
evaluator-validation
/
runs
/
{id}
/
observations
Create evaluator validation observations
curl --request POST \
--url https://evalgate.com/api/evaluator-validation/runs/{id}/observations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"observations": [
{
"observationKey": "<string>",
"metadata": {},
"testCaseId": 123,
"testResultId": 123,
"judgeResultId": 123,
"presentationOrder": "ab",
"logicalPairId": "<string>",
"rawScore": 123,
"normalizedScore": 123,
"humanAnnotationId": 123,
"candidateKey": "<string>",
"repeatIndex": 123,
"predictedConfidence": 123,
"predictedLabel": "<string>",
"groundTruthLabel": "<string>",
"correct": false,
"stratum": {},
"inclusionProbability": 123,
"samplingWeight": 123,
"outcomeValue": 123
}
]
}
'import requests
url = "https://evalgate.com/api/evaluator-validation/runs/{id}/observations"
payload = { "observations": [
{
"observationKey": "<string>",
"metadata": {},
"testCaseId": 123,
"testResultId": 123,
"judgeResultId": 123,
"presentationOrder": "ab",
"logicalPairId": "<string>",
"rawScore": 123,
"normalizedScore": 123,
"humanAnnotationId": 123,
"candidateKey": "<string>",
"repeatIndex": 123,
"predictedConfidence": 123,
"predictedLabel": "<string>",
"groundTruthLabel": "<string>",
"correct": False,
"stratum": {},
"inclusionProbability": 123,
"samplingWeight": 123,
"outcomeValue": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
observations: [
{
observationKey: '<string>',
metadata: {},
testCaseId: 123,
testResultId: 123,
judgeResultId: 123,
presentationOrder: 'ab',
logicalPairId: '<string>',
rawScore: 123,
normalizedScore: 123,
humanAnnotationId: 123,
candidateKey: '<string>',
repeatIndex: 123,
predictedConfidence: 123,
predictedLabel: '<string>',
groundTruthLabel: '<string>',
correct: false,
stratum: {},
inclusionProbability: 123,
samplingWeight: 123,
outcomeValue: 123
}
]
})
};
fetch('https://evalgate.com/api/evaluator-validation/runs/{id}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"observationCount": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
Create evaluator validation observations
